/*                                                                            */
/* CDDL HEADER START                                                          */
/*                                                                            */
/* The contents of this file are subject to the terms of the Common           */
/* Development and Distribution License Version 1.0 (the "License").          */
/*                                                                            */
/* You can obtain a copy of the license at                                    */
/* http://www.opensource.org/licenses/CDDL-1.0.  See the License for the      */
/* specific language governing permissions and limitations under the License. */
/*                                                                            */
/* When distributing Covered Code, include this CDDL HEADER in each file and  */
/* include the License file in a prominent location with the name             */
/* LICENSE.CDDL.                                                              */
/* If applicable, add the following below this CDDL HEADER, with the fields   */
/* enclosed by brackets "[]" replaced with your own identifying information:  */
/*                                                                            */
/* Portions Copyright (c) [yyyy] [name of copyright owner].                   */
/* All rights reserved.                                                       */
/*                                                                            */
/* CDDL HEADER END                                                            */
/*                                                                            */

/*                                                                            */
/* Copyright (c) 2016--2019, Regents of the University of Minnesota.          */
/* All rights reserved.                                                       */
/*                                                                            */
/* Contributors:                                                              */
/*    Ryan S. Elliott                                                         */
/*                                                                            */

/*                                                                            */
/* Release: This file is part of the kim-api-2.1.3 package.                   */
/*                                                                            */


#ifndef KIM_VERSION_H_
#define KIM_VERSION_H_

/**
 ** \brief The major version number of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
/* clang-format off */
#define KIM_VERSION_MAJOR 2
/* clang-format on */

/**
 ** \brief The minor version number of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
/* clang-format off */
#define KIM_VERSION_MINOR 1
/* clang-format on */

/**
 ** \brief The patch version number of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
/* clang-format off */
#define KIM_VERSION_PATCH 3
/* clang-format on */

/**
 ** \brief The prerelease version string of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
#define KIM_VERSION_PRERELEASE ""

/**
 ** \brief The build metadata version string of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
#define KIM_VERSION_BUILD_METADATA "GNU"

/**
 ** \brief The complete version string of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
#define KIM_VERSION_STRING "2.1.3+GNU"

#endif /* KIM_VERSION_H_ */
